package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrPipe;

/**
 * 管道Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrPipeService 
{
    /**
     * 查询管道
     * 
     * @param id 管道ID
     * @return 管道
     */
    public TPssrPipe selectTPssrPipeById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询管道列表
     * 
     * @param tPssrPipe 管道
     * @return 管道集合
     */
    public List<TPssrPipe> selectTPssrPipeList(TPssrPipe tPssrPipe);

    /**
     * 新增管道
     * 
     * @param tPssrPipe 管道
     * @return 结果
     */
    public int insertTPssrPipe(TPssrPipe tPssrPipe);

    /**
     * 修改管道
     * 
     * @param tPssrPipe 管道
     * @return 结果
     */
    public int updateTPssrPipe(TPssrPipe tPssrPipe);

    /**
     * 批量删除管道
     * 
     * @param ids 需要删除的管道ID
     * @return 结果
     */
    public int deleteTPssrPipeByIds(Long[] ids);

    /**
     * 删除管道信息
     * 
     * @param id 管道ID
     * @return 结果
     */
    public int deleteTPssrPipeById(Long id);

    int updateAllBySubId(TPssrPipe pipe);

    TPssrPipe selectAllConfirmedPersonBySubId(TPssrPipe entity);
}
